umbrello: DClassDeclarationBlock Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
DClassDeclarationBlock Class Reference

`#include <dclassdeclarationblock.h>`

Inheritance diagram for DClassDeclarationBlock:

## Public Member Functions
| DClassDeclarationBlock (DClassifierCodeDocument *parentDoc, const QString &start=QString(), const QString &endText=QStringLiteral("}"), const QString &comment=QString())
virtual | ~DClassDeclarationBlock ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
void | updateContent ()
Public Member Functions inherited from OwnedHierarchicalCodeBlock
| OwnedHierarchicalCodeBlock (UMLObject *parent, CodeDocument *parentDoc, const QString &start=QString(), const QString &end=QString(), const QString &comment=QString())
virtual | ~OwnedHierarchicalCodeBlock ()
CodeDocument * | getParentDocument ()
virtual void | updateContent ()=0
virtual void | saveToXMI (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI (QDomElement &root)=0
Public Member Functions inherited from OwnedCodeBlock
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
virtual void | updateContent ()=0
Public Member Functions inherited from HierarchicalCodeBlock
| HierarchicalCodeBlock (CodeDocument *doc, const QString &startString=QString(), const QString &endString=QString(), const QString &comment=QString())
virtual | ~HierarchicalCodeBlock ()
void | setEndText (const QString &new_var)
QString | getEndText () const
bool | addTextBlock (TextBlock *add_object)
bool | insertTextBlock (TextBlock *newBlock, TextBlock *existingBlock, bool after=true)
bool | removeTextBlock (TextBlock *remove_object)
void | setStartText (const QString &text)
QString | getStartText () const
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual QString | toString () const
QString | getUniqueTag ()
QString | getUniqueTag (const QString &prefix)
void | addCodeClassFieldMethods (CodeClassFieldList &list)
virtual CodeBlock * | newCodeBlock ()
virtual CodeBlockWithComments * | newCodeBlockWithComments ()
virtual HierarchicalCodeBlock * | newHierarchicalCodeBlock ()
Public Member Functions inherited from CodeBlockWithComments
| CodeBlockWithComments (CodeDocument *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeBlockWithComments ()
void | setComment (CodeComment *object)
CodeComment * | getComment () const
virtual QString | toString () const
void | setOverallIndentationLevel (int level)
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from CodeBlock
| CodeBlock (CodeDocument *parent, const QString &body=QString())
virtual | ~CodeBlock ()
void | setContentType (ContentType new_var)
ContentType | contentType () const
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
virtual void | saveToXMI (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI (QDomElement &root)=0
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()
Public Member Functions inherited from CodeGenObjectWithTextBlocks
| CodeGenObjectWithTextBlocks (CodeDocument *parent)
virtual | ~CodeGenObjectWithTextBlocks ()
virtual bool | addTextBlock (TextBlock *add_object)
virtual bool | removeTextBlock (TextBlock *remove_object)
virtual bool | insertTextBlock (TextBlock *newBlock, TextBlock *existingBlock, bool after)=0
TextBlockList * | getTextBlockList () const
virtual HierarchicalCodeBlock * | getHierarchicalCodeBlock (const QString &tag, const QString &comment, int indentLevel)
virtual CodeBlockWithComments * | getCodeBlockWithComments (const QString &tag, const QString &comment, int indentLevel)
CodeComment * | addOrUpdateTaggedCodeComment (const QString &tag=QString(), const QString &text=QString(), int indentationLevel=0)
CodeBlockWithComments * | addOrUpdateTaggedCodeBlockWithComments (const QString &tag, const QString &text, const QString &ctext, int indentLevel, bool forceUserBlockUpdate)
TextBlock * | findTextBlockByTag (const QString &tag)
virtual QString | getUniqueTag (const QString &prefix=QString())=0
virtual CodeBlock * | newCodeBlock ()=0
virtual CodeBlockWithComments * | newCodeBlockWithComments ()=0
virtual HierarchicalCodeBlock * | newHierarchicalCodeBlock ()=0
CodeGenObjectWithTextBlocks * | findParentObjectForTaggedTextBlock (const QString &tag)

## Protected Member Functions
virtual void | setAttributesFromObject (TextBlock *obj)
Protected Member Functions inherited from OwnedHierarchicalCodeBlock
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
Protected Member Functions inherited from HierarchicalCodeBlock
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
TextBlock * | findCodeClassFieldTextBlockByTag (const QString &tag)
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)
Protected Member Functions inherited from CodeGenObjectWithTextBlocks
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
void | setAttributesFromObject (CodeGenObjectWithTextBlocks *obj)
virtual void | loadChildTextBlocksFromNode (QDomElement &root)
virtual void | resetTextBlocks ()
virtual TextBlock * | findCodeClassFieldTextBlockByTag (const QString &tag)=0

## Private Member Functions
void | init (DClassifierCodeDocument *parent, const QString &comment)

## Additional Inherited Members
Public Types inherited from CodeBlock
enum | ContentType { AutoGenerated =0 , UserGenerated }
Public Slots inherited from OwnedHierarchicalCodeBlock
void | syncToParent ()
Public Slots inherited from OwnedCodeBlock
virtual void | syncToParent ()
Static Public Member Functions inherited from CodeBlock
static QString | enumToString (const ContentType &val)
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Attributes inherited from CodeGenObjectWithTextBlocks
QMap< QString, TextBlock * > | m_textBlockTagMap
TextBlockList | m_textblockVector

## Constructor & Destructor Documentation

## ◆ DClassDeclarationBlock()

DClassDeclarationBlock::DClassDeclarationBlock | ( | DClassifierCodeDocument * | parentDoc,
|  | const QString & | start = `QString()`,
|  | const QString & | endText = `QStringLiteral("}")`,
|  | const QString & | comment = `QString()`
| ) |  |
| explicit

Empty Constructor

## ◆ ~DClassDeclarationBlock()

DClassDeclarationBlock::~DClassDeclarationBlock | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ init()

void DClassDeclarationBlock::init | ( | DClassifierCodeDocument * | parent,
|  | const QString & | comment
| ) |  |
| private

## ◆ loadFromXMI()

void DClassDeclarationBlock::loadFromXMI | ( | QDomElement & | root | ) |
| virtual

Load params from the appropriate XMI element node.

Implements OwnedHierarchicalCodeBlock.

## ◆ saveToXMI()

void DClassDeclarationBlock::saveToXMI | ( | QXmlStreamWriter & | writer | ) |
| virtual

Save the XMI representation of this object

Implements OwnedHierarchicalCodeBlock.

## ◆ setAttributesFromObject()

void DClassDeclarationBlock::setAttributesFromObject | ( | TextBlock * | obj | ) |
| protectedvirtual

Set the class attributes from a passed object.

Reimplemented from OwnedHierarchicalCodeBlock.

## ◆ updateContent()

void DClassDeclarationBlock::updateContent | ( |  | ) |
| virtual

Update the start and end text for this hierarchical codeblock.

Implements OwnedHierarchicalCodeBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/d/dclassdeclarationblock.h
- umbrello/codegenerators/d/dclassdeclarationblock.cpp